Can't install Prestashop due to open_basedir error

Discussion in 'General' started by kareemhali, Mar 25, 2013.

  1. kareemhali

    kareemhali New Member

    Hi,

    After upgrading ISPconfig, I can't install Prestashop on my server anymore. I get this error, which happens on step (Configure Shop Information at 58%).

    [Mon Mar 25 00:40:51 2013] [warn] [client 82.37.187.108] mod_fcgid: stderr: PHP Warning: file_exists(): open_basedir restriction in effect. File(/var/www/clients/client1/web6/web/cms-shop/modules/error_log.txt/mails/en/) is not within the allowed path(s): (/var/www/clients/client1/web6/web:/var/www/clients/client1/web6/tmp:/var/www/mysite.com/web:/srv/www/mysite.com/web:/usr/share/php5:/tmp:/usr/share/phpmyadmin:/etc/phpmyadmin:/var/lib/phpmyadmin:/usr/share/php) in /var/www/clients/client1/web6/web/cms-shop/classes/Tools.php on line 1264, referer: http://mysite.com/cms-shop/install/index.php?restart=true


    I'm using Fast-CGI with SSL and SuEXEC ticked, and latest ISPconfig.

    I tried setting file permissions, gave 777 to all files, didn't work. I tried putting directories in PHP open_basedir config on the site panel, didn't work, although I'm not sure if I put the correct directories.

    When I disable it and put "none", installation works fine.

    As I'm no PHP expert, I'm not sure if this is bad for the server to disable it completely or if it doesn't matter.

    How can I fix it please?, also, what is the best settings on the site panel for a PrestaShop site.

    Thanks,
    Kareem.
     
  2. kareemhali

    kareemhali New Member

    Any help ?

    I thought by becoming a subscriber I would get more help to be honest !.

    Kareem.
     
  3. ressel

    ressel Member

    try with
    Code:
    /var/www/clients/client1/web6/web:/var/www/clients/client1/web6/tmp:/var/www/mysite.com/web:/usr/share/php5:/tmp:/usr/share/phpmyadmin
    I have installed a website with prestashop on one of my servers.
     
  4. kareemhali

    kareemhali New Member

    Hi,

    Thanks for the info, that didn't work!.

    Kareem.

     
  5. ressel

    ressel Member

    I'm actually using suphp
     
  6. kareemhali

    kareemhali New Member

    Hi Ressell,

    I think Till recommends that we stick with Fast-CGI with SuEXEC ticked when using a CMS site.

    I'm not sure why no one from ISPConfig team is replying to this post.

    Anyway, thanks for your help Ressell.

     
  7. falko

    falko Super Moderator Howtoforge Staff Moderator HowtoForge Supporter ISPConfig Developer

    We sometimes have to do other work, and a day has only 24 hours...
     
  8. kareemhali

    kareemhali New Member

    I submitted the post on the March 24th. I also subscribed before submitting the post because I really like ISPConfig. I expected to have a quicker answer as it's been over 10 days!.

    Thanks anyway.
     
  9. till

    till Super Moderator Howtoforge Staff HowtoForge Supporter ISPConfig Developer

    This is the ISPConfig community forum and not the official ispconfig support. In a community forum, ispconfig users discuss things related to the software ispconfig in their free time and there is no gurarantee to get an answer at all like with all community forums. The ispconfig developers try to answer questions here if possible but we cant answer all posts and we encourage community members to help others like reseel did.

    If you need urgent support or want to ensure that you get a answer form a ISPConfig developer, then please use the support system instead of asking the community: http://support.ispconfig.org

    Weare really thankful that you became a subscriber here at howtoforge as the howtoforge subscription supports the development of ISPConfig and we would not be able to continue the development of new ISPConfig versions without that support. But the subscription is not a support plan for ISPConfig, what the subscription includes is described here: http://www.howtoforge.com/subscription

    Please contact us trough the ticket system at http://support.ispconfig.org if you need a support plan for ISPConfig.
     
  10. till

    till Super Moderator Howtoforge Staff HowtoForge Supporter ISPConfig Developer

    suphp should not be used anymore, we support it just for legacy reasons.

    The recommended option is to use php-fcgi + suexec or php-fpm + suexec.

    Regarding open_basedir: the open_basedir path is correct as /var/www/clients/client1/web6/web/ is included in the path and the script is in a subdirectory of that path. ensure that all files in /var/www/clients/client1/web6/web/ are owned by user web6 and group client1
     
  11. kareemhali

    kareemhali New Member

    Hi Till,

    Thanks for all the info. I issue this command in the prestashop directory each time I try to re-install:

    chown web6:client1 -R *

    Still, no luck.

    I disabled it for now and if that won't be an issue, then I have no problem. But I really have no idea of it's effect.

    I will submit a ticket to get an idea of your ticketing system now. I'm sorry if I didn't know where to submit my post.

    Kareem.
     
  12. kareemhali

    kareemhali New Member

    For the time being, I deleted the file that is causing this error. This solved the error and site installation with Open_basedir worked fine. Not sure how this will effect the site though but I think I won't worry about this any more.

    Thank you all for your help.
     

Share This Page